package com.ssm.util.sms.excel.parser;

import java.util.List;

import com.ssm.util.sms.excel.exception.ExcelParseException;
import com.ssm.util.sms.excel.exception.ValidationException;
import com.ssm.util.sms.excel.validation.rule.ValidationRule;

public abstract interface ExcelParser {
	public abstract void parse() throws ExcelParseException;

	public abstract void parse(int paramInt) throws ExcelParseException;

	public abstract int getRow();

	public abstract int getColumn();

	public abstract List<String> getRowValue(int paramInt)
			throws ExcelParseException;

	public abstract List<String> getColumnValue(int paramInt)
			throws ExcelParseException;

	public abstract List<List<String>> build(
			ValidationRule[] paramArrayOfValidationRule)
			throws ExcelParseException, ValidationException;

	public abstract List<List<String>> build(int paramInt1, int paramInt2,
			ValidationRule[] paramArrayOfValidationRule)
			throws ExcelParseException, ValidationException;

	public abstract void close();
}
